Bug 1148471 - gnome-weather 3.14 can't start
Summary: gnome-weather 3.14 can't start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-weather
Version: 21
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Cosimo Cecchi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-01 14:16 UTC by Pavlo Rudyi
Modified: 2014-10-05 08:13 UTC (History)
2 users (show)

Fixed In Version: gtk3-3.14.1-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-04 07:32:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Pavlo Rudyi 2014-10-01 14:16:42 UTC
Description of problem:
After update to Fedora 21 I can't run gnome-weather. Backport to version 3.13.92 give the same result.

Version-Release number of selected component (if applicable):
gnome-weather-3.14.0-1.fc21.noarch
libgweather-3.14.0-1.fc21.x86_64
gjs-1.42.0-1.fc21.x86_64
gdk-pixbuf2-2.31.1-1.fc21.x86_64
glib2-2.42.0-1.fc21.x86_64
gobject-introspection-1.42.0-1.fc21.x86_64
gtk3-3.14.1-1.fc21.x86_64



How reproducible:
run gnome-weather


Additional info:

run log:
(org.gnome.Weather.Application:4008): Gjs-WARNING **: JS ERROR: Gtk.BuilderError: Invalid object type `GWeatherLocationEntry' on line 2
MainWindow<._init@resource:///org/gnome/Weather/Application/js/app/window.js:57
wrapper@resource:///org/gnome/gjs/modules/lang.js:169
Application<._createWindow@resource:///org/gnome/Weather/Application/js/app/main.js:112
wrapper@resource:///org/gnome/gjs/modules/lang.js:169
Application<.vfunc_activate@resource:///org/gnome/Weather/Application/js/app/main.js:141
wrapper@resource:///org/gnome/gjs/modules/lang.js:169
main@resource:///org/gnome/Weather/Application/js/app/main.js:154
run@resource:///org/gnome/gjs/modules/package.js:192
@/bin/gnome-weather:6

Comment 1 Fedora Update System 2014-10-03 16:04:43 UTC
gtk3-3.14.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gtk3-3.14.1-2.fc21

Comment 2 Fedora Update System 2014-10-04 03:25:44 UTC
Package gtk3-3.14.1-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtk3-3.14.1-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12134/gtk3-3.14.1-2.fc21
then log in and leave karma (feedback).

Comment 3 Pavlo Rudyi 2014-10-04 07:32:05 UTC
Works after update to gtk3-3.14.1-2.fc21

Comment 4 Fedora Update System 2014-10-05 08:13:24 UTC
gtk3-3.14.1-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.